<?php

namespace App\Modules;

class EmptyModule implements ModuleContract
{
    /**
     * Check if is module enabled
     */
    public function isEnabled(): bool
    {
        return false;
    }

    /**
     * Disable module
     */
    public function disable(): void {}

    /**
     * Enable module
     */
    public function enable(): void {}

    /**
     * Check if module has a filament resource
     */
    public function hasFilamentResource(): bool
    {
        return false;
    }

    /**
     * Get module composer requirements
     */
    public function getComposerRequirements(): array
    {
        return [];
    }

    /**
     * Get module composer suggestions
     */
    public function getComposerSuggestions(): array
    {
        return [];
    }
}
